## org.apache.commons.collections.iterators
Class UniqueFilterIterator

    java.lang.Object
      org.apache.commons.collections.iterators.FilterIterator
          org.apache.commons.collections.iterators.UniqueFilterIterator

All Implemented Interfaces:
  Iterator

public class UniqueFilterIterator
extends FilterIterator

A FilterIterator which only returns "unique" Objects. Internally, the Iterator maintains a Set of objects it has already encountered, and duplicate Objects are skipped.

Since:
  Commons Collections 2.1
Version:
  $Revision: 1.9 $ $Date: 2004/05/07 23:29:02 $
Author:
  Morgan Delagrange

Constructor Summary
`UniqueFilterIterator(Iterator iterator)` Constructs a new `UniqueFilterIterator`.

Methods inherited from class org.apache.commons.collections.iterators.FilterIterator
`getIterator, getPredicate, hasNext, next, remove, setIterator, setPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueFilterIterator

    public UniqueFilterIterator(Iterator iterator)

  Constructs a new `UniqueFilterIterator`.

Parameters:
  `iterator` - the iterator to use

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.